Name:		peg-e
Version:	1.3.5
Release:	%mkrel 1
Summary:	Peg solitaire game
Group:		Games/Boards
License:	GPLv3+
URL:		https://gottcode.org/peg-e
Source:		https://gottcode.org/peg-e/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
A peg solitaire game in which you jump over pieces in order to remove
them from the board, ultimately trying to eliminate all but one.
The boards are randomly generated, with 100 levels of difficulty.
The game auto-saves, and has undo-redo capability.
Pieces can move horizontally, vertically, and diagonally.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 1.3.5-1.mga10
+ Revision: 2152147
- new version: 1.3.5

* Tue Jan 21 2025 daviddavid <daviddavid> 1.3.4-1.mga10
+ Revision: 2140136
- new version: 1.3.4

* Sun Jan 21 2024 daviddavid <daviddavid> 1.3.3-1.mga10
+ Revision: 2033235
- new version: 1.3.3

* Thu Jan 12 2023 daviddavid <daviddavid> 1.3.2-1.mga9
+ Revision: 1932443
- new version: 1.3.2

* Tue Dec 06 2022 daviddavid <daviddavid> 1.3.1-1.mga9
+ Revision: 1918476
- new version: 1.3.1
- switch to Qt6 and cmake build system

* Sun Apr 03 2022 umeabot <umeabot> 1.2.8-4.mga9
+ Revision: 1842322
- Mageia 9 Mass Rebuild

* Thu Jan 14 2021 luigiwalser <luigiwalser> 1.2.8-3.mga8
+ Revision: 1671691
- rebuild for missing signature

* Thu Dec 17 2020 umeabot <umeabot> 1.2.8-2.mga8
+ Revision: 1659290
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 1.2.8-1.mga8
+ Revision: 1570394
- new version: 1.2.8

* Sat Feb 15 2020 umeabot <umeabot> 1.2.7-2.mga8
+ Revision: 1528353
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 1.2.7-1.mga8
+ Revision: 1430154
- new version: 1.2.7

* Sun Mar 31 2019 umeabot <umeabot> 1.2.6-3.mga7
+ Revision: 1383866
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.6-2.mga7
+ Revision: 1300158
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 1.2.6-1.mga7
+ Revision: 1244528
- new version: 1.2.6

* Wed May 30 2018 daviddavid <daviddavid> 1.2.5-1.mga7
+ Revision: 1233023
- new version: 1.2.5

* Mon Apr 30 2018 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1223796
- new version: 1.2.4

* Sat Oct 08 2016 akien <akien> 1.2.2-1.mga6
+ Revision: 1059608
- Version 1.2.2

* Tue Jan 12 2016 akien <akien> 1.2.1-1.mga6
+ Revision: 922153
- Version 1.2.1
- Build with Qt 5
- Add upstream man page and appdata file

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 746719
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 683396
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 wally <wally> 1.1.2-1.mga5
+ Revision: 585469
- new version 1.1.2
- drop desktop file patch

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1.1-3.mga4
+ Revision: 508948
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1.1-2.mga3
+ Revision: 362737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 vaci0 <vaci0> 1.1.1.1-1.mga3
+ Revision: 274801
- imported package peg-e

